package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统岗位Vo")
public class SystemAuthPostVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("岗位编号")
   private String code;
   @ApiModelProperty("岗位名称")
   private String name;
   @ApiModelProperty("岗位备注")
   private String remarks;
   @ApiModelProperty("岗位排序")
   private Integer sort;
   @ApiModelProperty("是否停用: [0=否, 1=是]")
   private Integer isStop;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public String getCode() {
      return this.code;
   }

   public String getName() {
      return this.name;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIsStop() {
      return this.isStop;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setIsStop(Integer isStop) {
      this.isStop = isStop;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAuthPostVo)) {
         return false;
      } else {
         SystemAuthPostVo other = (SystemAuthPostVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label107: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label107;
                  }
               } else if (this$id.equals(other$id)) {
                  break label107;
               }

               return false;
            }

            Object this$sort = this.getSort();
            Object other$sort = other.getSort();
            if (this$sort == null) {
               if (other$sort != null) {
                  return false;
               }
            } else if (!this$sort.equals(other$sort)) {
               return false;
            }

            Object this$isStop = this.getIsStop();
            Object other$isStop = other.getIsStop();
            if (this$isStop == null) {
               if (other$isStop != null) {
                  return false;
               }
            } else if (!this$isStop.equals(other$isStop)) {
               return false;
            }

            label86: {
               Object this$code = this.getCode();
               Object other$code = other.getCode();
               if (this$code == null) {
                  if (other$code == null) {
                     break label86;
                  }
               } else if (this$code.equals(other$code)) {
                  break label86;
               }

               return false;
            }

            label79: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label79;
                  }
               } else if (this$name.equals(other$name)) {
                  break label79;
               }

               return false;
            }

            label72: {
               Object this$remarks = this.getRemarks();
               Object other$remarks = other.getRemarks();
               if (this$remarks == null) {
                  if (other$remarks == null) {
                     break label72;
                  }
               } else if (this$remarks.equals(other$remarks)) {
                  break label72;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAuthPostVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $isStop = this.getIsStop();
      result = result * 59 + ($isStop == null ? 43 : $isStop.hashCode());
      Object $code = this.getCode();
      result = result * 59 + ($code == null ? 43 : $code.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $remarks = this.getRemarks();
      result = result * 59 + ($remarks == null ? 43 : $remarks.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAuthPostVo(id=" + this.getId() + ", code=" + this.getCode() + ", name=" + this.getName() + ", remarks=" + this.getRemarks() + ", sort=" + this.getSort() + ", isStop=" + this.getIsStop() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
